//人员布控
import request from "@/utils/request";
const api = "/mosty-api/mosty-bkzx";
//新增
export function addPerson(data) {
  return request({
    url: api + '/tbBkRy',
    method: "post",
    data
  })
}
//修改
export function editPerson(data) {
  return request({
    url: api + '/tbBkRy',
    method: "put",
    data
  })
}
//批量删除
export function delPerson(data) {
  return request({
    url: api + '/tbBkRy',
    method: "delete",
    data
  })
}
//查询详情
export function getInfo(id) {
  return request({
    url: api + '/tbBkRy/' + id,
    method: "get",
  })
}
//结束布控
export function endBk(id) {
  return request({
    url: api + '/tbBkRy/endBk/' + id,
    method: "post"
  })
}
//结束布控
export function startBk(id) {
  return request({
    url: api + '/tbBkRy/startBk/' + id,
    method: "post"
  })
}
//分页查询
export function getPersonList(params) {
  return request({
    url: api + '/tbBkRy',
    method: "get",
    params
  })
}
// 布控人员审批
export function judgePerson(data) {
  return request({
    url: api + '/tbBkRy/judge',
    method: "post",
    data
  })
}

